Colors management in 16 colors mode (4-bits ANSI).

## Detailed Description

## Enumerations

enum | clutchlog::fmt::fg { black = 30, red = 31, green = 32, yellow = 33, blue = 34, magenta = 35, cyan = 36, white = 37, bright_black = 90, bright_red = 91, bright_green = 92, bright_yellow = 93, bright_blue = 94, bright_magenta = 95, bright_cyan = 96, bright_white = 97, none = -1 }
| Foreground color codes.
enum | clutchlog::fmt::bg { black = 40, red = 41, green = 42, yellow = 43, blue = 44, magenta = 45, cyan = 46, white = 47, bright_black = 100, bright_red = 101, bright_green = 102, bright_yellow = 103, bright_blue = 104, bright_magenta = 105, bright_cyan = 106, bright_white = 107, none = -1 }
| Background color codes.

## Variables

enum clutchlog::fmt::fg | clutchlog::fmt::fore
| Foreground color.
enum clutchlog::fmt::bg | clutchlog::fmt::back
| Background color.

## Friends

std::ostream & | clutchlog::fmt::operator<< (std::ostream &os, const std::tuple< fg, bg, typo > &fbs)
| Output stream operator for a 3-tuple of 16-colors mode tags.
std::ostream & | clutchlog::fmt::operator<< (std::ostream &os, const typo &s)
| Output stream operator for a typo tag alone, in 16-colors mode.